<template>
    <div id="sales">

        <!-- Small boxes (Stat box) -->
        <div class="row">

            <SalesBoxOrders/>

            <SalesBoxBounceRate/>

            <SalesBoxUsers/>

            <SalesBoxVisitors/>

        </div>

    </div>
</template>

<script>

    // importing vuex maps
    import { mapActions, mapGetters } from "vuex"

    import config from "config/vue/configurator";

    // (~) is an alias for ./src/components
    import SalesBoxOrders from "~/back/main/dashboards/SalesBoxOrders";
    import SalesBoxBounceRate from "~/back/main/dashboards/SalesBoxBounceRate";
    import SalesBoxUsers from "~/back/main/dashboards/SalesBoxUsers";
    import SalesBoxVisitors from "~/back/main/dashboards/SalesBoxVisitors";

    export default {
        name: 'sales',
        components: {

            SalesBoxOrders,
            SalesBoxBounceRate,
            SalesBoxUsers,
            SalesBoxVisitors

        },
        created() {

            // ...

        },
        mounted() {

            this.authenticate()

        },
        data() {
            return {

                credentials: {
                    email: config['api']['user'],
                    password: config['api']['secret']
                }

            }
        },
        computed: {

            ...mapGetters({
                user: 'auth/user',
                locales: 'locale/locales'
            })

        },
        methods: {

            ...mapActions({
                login: 'auth/login',
                language: 'locale/fetchLocales'
            }),

            authenticate() {

                this.login(this.credentials)

                    .then(() => {

                        console.log("API bot stored in state")

                        this.getLocales()

                    })

                    .catch(() => {

                        console.log("API bot failed")

                        // this.$toastr.Add({
                        //     //name: "AuthToastr",
                        //     title: this.error.data.title,
                        //     msg: this.error.data.phrase,
                        //     clickClose: true,
                        //     timeout: 5000,
                        //     progressBar: true,
                        //     position: "toast-top-right",
                        //     type: "error",
                        //     //preventDuplicates: true
                        // });
                    })
            },

            getLocales() {

                this.language()

                    .then(() => {

                        console.log("Locales stored in state")

                    })

                    .catch(() => {

                        console.log("Locales failed")

                        // this.$toastr.Add({
                        //     //name: "AuthToastr",
                        //     title: this.error.data.title,
                        //     msg: this.error.data.phrase,
                        //     clickClose: true,
                        //     timeout: 5000,
                        //     progressBar: true,
                        //     position: "toast-top-right",
                        //     type: "error",
                        //     //preventDuplicates: true
                        // });
                    })
            }

        }
    }

</script>

<style lang="scss" scoped>

    // ...

</style>
